Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230733 - CVE-2007-0994 Thunderbird arbitrary javascript command execution
Summary: CVE-2007-0994 Thunderbird arbitrary javascript command execution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird
Version: 4.0
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Gecko Maintainer
QA Contact:
URL:
Whiteboard: impact=critical,source=mozilla,report...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-02 15:45 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0078
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-02 18:28:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Josh Bressers 2007-03-02 15:45:50 UTC
A bug was found in the way Thunderbird handles <img> tags.  To quote the
upstream bug:

When javascript: url is set by script, the access checks work properly.

  <img id="i">
  i.src = "javascript:...";

But, when javascript: url is set by <img> (or <link>, <style>) tag, the access
checks don't work properly.

  <img src="javascript:...">

Thus, sandboxed script can access xbl.method's clone parent and xbl compilation
scope to run arbitrary code with chrome privileges.

Comment 1 Josh Bressers 2007-03-02 18:08:13 UTC
Lifting embargo

Comment 2 Red Hat Bugzilla 2007-03-02 18:28:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0078.html


Comment 3 Josh Bressers 2007-03-06 19:48:14 UTC
This flaw does not affect Thunderbird as previously thought.  This is noted in
the upstream advisory:
http://www.mozilla.org/security/announce/2007/mfsa2007-09.html


Note You need to log in before you can comment on or make changes to this bug.